org.licas.ws.wsdl.model

## Class WsdlService

- java.lang.Object
- - org.licas.ws.wsdl.model.WsdlService

-     public class WsdlService
      extends java.lang.Object

  This class stores information on a single Web Service service call.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlService(java.lang.String thisName)` Create a new instance of WsdlService.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addEndPoint(WsdlEndpoint endPoint)` Add a new endpoint to the service.
    `java.lang.String` | `getDocumentation()` Get the service documentation.
    `WsdlEndpoint` | `getEndPoint(java.lang.String endpointName)` Get the endpoint with the specified name.
    `java.util.HashMap` | `getEndpoints()` Get all endpoints.
    `java.lang.String` | `getName()` Get the service name.
    `java.util.ArrayList` | `getPortNames()` Get the list of port names.
    `java.lang.String` | `getServiceInterface()` Get the service interface.
    `void` | `setDocumentation(java.lang.String theDocumentation)` Set the description of the service.
    `void` | `setServiceInterface(java.lang.String thisServiceInterface)` Set the service interface value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlService

          public WsdlService(java.lang.String thisName)

      Create a new instance of WsdlService.
      Parameters:
        `thisName` - the service name.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the service name.
      Returns:
        the value of name.

    - #### setDocumentation

          public void setDocumentation(java.lang.String theDocumentation)

      Set the description of the service.
      Parameters:
        `theDocumentation` - the service documentation.

    - #### getDocumentation

          public java.lang.String getDocumentation()

      Get the service documentation.
      Returns:
        the value of documentation.

    - #### setServiceInterface

          public void setServiceInterface(java.lang.String thisServiceInterface)

      Set the service interface value.
      Parameters:
        `thisServiceInterface` - the interface value.

    - #### getServiceInterface

          public java.lang.String getServiceInterface()

      Get the service interface.
      Returns:
        the value of serviceInterface.

    - #### addEndPoint

          public boolean addEndPoint(WsdlEndpoint endPoint)

      Add a new endpoint to the service.
      Parameters:
        `endPoint` - the endpoint to add.
      Returns:
        true if a new endpoint or false otherwise.

    - #### getEndPoint

          public WsdlEndpoint getEndPoint(java.lang.String endpointName)

      Get the endpoint with the specified name.
      Parameters:
        `endpointName` - the endpoint name.
      Returns:
        the endpoint with the specified name or null if none exist.

    - #### getEndpoints

          public java.util.HashMap getEndpoints()

      Get all endpoints.
      Returns:
        the value of endPoints.

    - #### getPortNames

          public java.util.ArrayList getPortNames()

      Get the list of port names.
      Returns:
        the value of portNames.